package com.nisum.myteam.service;

import com.nisum.myteam.model.dao.EmployeeSubStatus;

public interface ISubStatusService {
    public EmployeeSubStatus getLatestEmployeeSubStatus(String empId);

    public EmployeeSubStatus updateExistingEmplyeeSubStatus(EmployeeSubStatus employeeSubStatusReq);

    public EmployeeSubStatus addEmployeeSubStatus(EmployeeSubStatus employeeSubStatus);

    public EmployeeSubStatus getCurrentSubStatus(String employeeId);

    public EmployeeSubStatus endSubStatus(EmployeeSubStatus subStatus);
}
